(function($, doc) {

	$.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				auto: true,
				callback: pulldownRefresh
			},
			up: {
				contentrefresh: '正在加载...',
				contentnomore: '我是有底线的',
				callback: pullupRefresh
			}
		}
	});
	var authorization = app.GetAuthorization();
	var totalPageCount = 0;
	var currentPageIndex = 1;
	var pagesize = 20;
	var class_state = [];
	var class_name = "";
	var nodata = document.body.querySelector('.nodata');

	var table = document.body.querySelector('.mui-table-view');

	window.addEventListener("search", function(e) {
		class_state = e.detail.state;
		class_name = e.detail.name;
		pulldownRefresh();
	});
	window.addEventListener("reload", function(e) {
		pulldownRefresh();
	});

	/*
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh() {
		setTimeout(function() {
			var clientId = '',
				clientSecret = '';

			if(authorization.token == "RONSCHOOL_51AREA_JORY") {
				clientId = authorization.data.id;
				clientSecret = authorization.data.phone;
			}
			var enrollRequest = {
				clientId: clientId,
				clientSecret: clientSecret,
				pagesize: pagesize,
				pageindex: 1
			}

			nodata.style.display = "none";
			table.innerHTML = "";
			app.GetEnrollList(enrollRequest, function(data) {
				console.log(JSON.stringify(data));
				currentPageIndex = 1;
				if(data.items.length == 0) {
					nodata.style.display = "block";
					$('#pullrefresh').pullRefresh().endPulldownToRefresh();
					$('#pullrefresh').pullRefresh().disablePullupToRefresh();
				} else {
					pushViewElement(data);
					//regidterEvent();
					$('#pullrefresh').pullRefresh().endPulldownToRefresh();
					$('#pullrefresh').pullRefresh().refresh(true);
				}
			});

		}, 1500);
	}

	function pushViewElement(data) {
		totalPageCount = data.totalPageCount;
		var enrolllist = data.items
		for(var i = 0; i < enrolllist.length; i++) {
			var lihtml = "";
	
			var liElement = document.createElement('li');
			liElement.className = 'mui-table-view-cell';
			liElement.setAttribute('data-model', '' + JSON.stringify(enrolllist[i]) + '');
			lihtml += '<div class="mui-table">';
			lihtml += '<div class="mui-table-cell mui-col-xs-12">';
			lihtml += '<div><span class="mui-ellipsis">'+enrolllist[i].stu_name+',学费' + (enrolllist[i].payment + enrolllist[i].arrears) + '元</span> <span class=" mui-pull-right state">'+(enrolllist[i].enable_flag =="0"?"交易关闭":"")+'</span></div>';
			lihtml += '<p class="mui-h6 mui-ellipsis">' + app.ConvertJsonTime(enrolllist[i].create_time) + '</p>';
			lihtml += '</div>';
//			lihtml += '<div class="mui-table-cell mui-col-xs-2 mui-text-right">';
//			lihtml += '<span class="mui-navigate-right"></span>';
//			lihtml += '</div>';
			lihtml += '</div>';

			liElement.innerHTML = lihtml;
			table.appendChild(liElement);
		}
	}
	$(".mui-table-view").on('tap', 'li', function() {
		
		var enrollModel = this.dataset.model;
		localStorage.setItem('$BillModel', enrollModel);
		var detailBillPage = mui.preload({
			"id": 'bill_detail.html',
			"url": 'bill_detail.html'
		});
		detailBillPage.show("pop-in");
	});
	

	/*
	 * 上拉加载具体业务实现
	 */
	function pullupRefresh() {
		setTimeout(function() {
			++currentPageIndex;

			var clientId = '',
				clientSecret = '';

			if(authorization.token == "RONSCHOOL_51AREA_JORY") {
				clientId = authorization.data.id;
				clientSecret = authorization.data.phone;
			}
			var enrollRequest = {
				clientId: clientId,
				clientSecret: clientSecret,
				pagesize: pagesize,
				pageindex: currentPageIndex
			}
			$('#pullrefresh').pullRefresh().endPullupToRefresh(currentPageIndex > totalPageCount);
			if(!(currentPageIndex > totalPageCount)) {
				app.GetEnrollList(enrollRequest, function(data) {
					pushViewElement(data);
				});
			}
		}, 1500);
	}

})(mui, document);