(function($, doc) {
	$.init();

	$.plusReady(function() {
		var self = plus.webview.currentWebview();
		var authorization = app.GetAuthorization();
		var nodata = document.body.querySelector('.nodata');
		var billInfo = document.body.querySelector('.ronschool-container');

		self.addEventListener('hide', function() {
			self.close();
		}, false);

		if(authorization.token == "RONSCHOOL_51AREA_JORY") {
			var lessonModel = app.GetLessonModel();

			console.log(JSON.stringify(lessonModel));
			var org_id = "",
				lesson_id = "",
				clientId = "",
				clientSecret = "";
			if(JSON.stringify(lessonModel) != "{}") {
				clientId = authorization.data.id;
				clientSecret = authorization.data.phone;
				org_id = lessonModel.lesson.org_id;
				lesson_id = lessonModel.lesson.id;
			}
			var lessonInfoPar = {
				clientId: clientId,
				clientSecret: clientSecret,
				org_id: org_id,
				lesson_id: lesson_id
			}
			if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
				plus.nativeUI.toast('网络不给力，请检查网络设置');
				return;
			}

			nodata.style.display = "block";
			var waiting = plus.nativeUI.showWaiting();
			app.GetStuLessonDetailInfo(lessonInfoPar, function(data) {
				waiting.close();
				if(data != []) {
					nodata.style.display = "none";
					pushLessonInfoHTML(data, lessonModel);
				}
			})
		}

		function pushLessonInfoHTML(data, model) {
			console.log(JSON.stringify(data));
			var billInfoInnerHtml = "";

			billInfoInnerHtml += '<h4><span style=" font-size: 1.2em; padding-right: 5px;" class=" iconfont icon-lesson-detail"></span><span>' + model.lesson.name + '</span></h4>'
			var userNum = data.userNum == null ? 0 : data.userNum;
			billInfoInnerHtml += '<h3>' + (data.totalNum -userNum).toFixed(2) + '</h3>';

			billInfoInnerHtml += '<p class="mui-text-center">剩余课时</p>';

			billInfoInnerHtml += '<ul class="mui-table-view">';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">课程名称</div><div class="mui-col-xs-8  mui-text-right"><div>' + model.lesson.name + '</div>  </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">课程类型</div><div class="mui-col-xs-8  mui-text-right"><div>' + app.lessonTypeHTML(model.lesson.type) + '</div>   </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">总计</div><div class="mui-col-xs-8  mui-text-right"><div>' + data.totalNum+'</div>   </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">消耗</div><div class="mui-col-xs-8  mui-text-right"><div>' + userNum + '</div>   </div></div></li>';

			billInfoInnerHtml += '<li><div class="mui-row"><div class="mui-col-xs-4 mui-text-left">机构</div><div class="mui-col-xs-8  mui-text-right"><div> ' + model.org_name + '</div>   </div></div></li>';

			billInfoInnerHtml += '</ul>';

			billInfo.innerHTML = billInfoInnerHtml;

		}

	});
})(mui, document)