(function($, doc) {
	var authorization = app.GetAuthorization();
	var nodata = document.body.querySelector('.nodata');
	var table = document.body.querySelector('.mui-table-view');

	var _self;
	if(window.plus) {
		plusReady();
	} else {
		document.addEventListener("plusready", function() {
			plusReady();
		}, false);
	}

	function plusReady() {
		_self = plus.webview.currentWebview();
		_self.setPullToRefresh({
			support: true,
			height: '50px',
			range: '100px',
			style: 'circle',
			offset: '1px'
		}, pulldownRefresh);
	}

	function addData() {
		var clientId = '',
			clientSecret = '';

		if(authorization.token == "RONSCHOOL_51AREA_JORY") {
			clientId = authorization.data.id;
			clientSecret = authorization.data.phone;
		}
		var napLessonRequest = {
			clientId: clientId,
			clientSecret: clientSecret
		}
		nodata.style.display = "none";
		table.innerHTML = "";
		app.GetNAPLessonList(napLessonRequest, function(data) {
			if(data.length == 0) {
				nodata.style.display = "block";
			} else {
				for(var i = 0; i < data.length; i++) {
					var lihtml = "";
					var liElement = document.createElement('li');
					liElement.className = 'mui-table-view-cell';
					liElement.setAttribute('data-model', '' + JSON.stringify(data[i]) + '');
					lihtml += '<div class="mui-table">';
					lihtml += '<div class="mui-table-cell mui-col-xs-10">';
					lihtml += '<h4 class="mui-ellipsis">' + data[i].lesson.name + '</h4>';
					lihtml += '<p class="mui-h6 mui-ellipsis">' + data[i].org_name + '</p>';
					lihtml += '</div>';
					lihtml += '<div class="mui-table-cell mui-col-xs-2 mui-text-right">';
					lihtml += '<span class="mui-navigate-right"></span>';
					lihtml += '</div>';
					lihtml += '</div>';
					
					liElement.innerHTML = lihtml;
					table.appendChild(liElement);
				}
			}
		});
	}
	
	$(".mui-table-view").on('tap', 'li', function() {
		var lessonModel = this.dataset.model;
		localStorage.setItem('$LessonModel', lessonModel);
		var detailBillPage = mui.preload({
			"id": '/app/lesson/lesson_detail.html',
			"url": '/app/lesson/lesson_detail.html'
		});
		detailBillPage.show("pop-in");
	});
	
	/**
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh() {
		setTimeout(function() {
			addData();
			_self.endPullToRefresh();
		}, 1500);
	}

	addData();

})(mui, document);