(function($, doc) {

	$.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				auto: true,
				callback: pulldownRefresh
			},
			up: {
				contentrefresh: '正在加载...',
				contentnomore: '我是有底线的',
				callback: pullupRefresh
			}
		}
	});
	var authorization = app.GetAuthorization();
	var totalPageCount = 0;
	var currentPageIndex = 1;
	var pagesize = 12;
	var class_state = [];
	var class_name = "";
	var nodata = document.body.querySelector('.nodata');

	var table = document.body.querySelector('.mui-scroll');

	window.addEventListener("search", function(e) {
		class_state = e.detail.state;
		class_name = e.detail.name;
		pulldownRefresh();
	});
	window.addEventListener("reload", function(e) {
		pulldownRefresh();
	});

	/*
	 * 下拉刷新具体业务实现
	 */
	function pulldownRefresh() {
		setTimeout(function() {
			var clientId = '',
				clientSecret = '';

			if(authorization.token == "RONSCHOOL_51AREA_JORY") {
				clientId = authorization.data.id;
				clientSecret = authorization.data.phone;
			}
			var studyRecordRequest = {
				clientId: clientId,
				clientSecret: clientSecret,
				pagesize: pagesize,
				pageindex: 1
			}

			nodata.style.display = "none";
			table.innerHTML = "";
			console.log(JSON.stringify(studyRecordRequest));
			app.GetLearnRecordList(studyRecordRequest, function(data) {
				console.log(JSON.stringify(data));
				currentPageIndex = 1;
				if(data.items.length == 0) {
					nodata.style.display = "block";
					$('#pullrefresh').pullRefresh().endPulldownToRefresh();
					$('#pullrefresh').pullRefresh().disablePullupToRefresh();
				} else {
					pushViewElement(data);
					//regidterEvent();
					$('#pullrefresh').pullRefresh().endPulldownToRefresh();
					$('#pullrefresh').pullRefresh().refresh(true);
				}
			});

		}, 1500);
	}

	function pushViewElement(data) {
		totalPageCount = data.totalPageCount;
		var studyRecordlist = data.items
		for(var i = 0; i < studyRecordlist.length; i++) {
			var lihtml = "";
			var liElement = document.createElement('div');
			liElement.className = 'mui-card';
			//liElement.setAttribute('data-model', '' + JSON.stringify(enrolllist[i]) + '');
			lihtml += '<div class="mui-card-header">';
			lihtml += '<div style=" width: 100%;"><span  class=" iconfont icon-offline"></span> <span style="font-size: 14px;">' + studyRecordlist[i].org_name + '</span> ' + app.studyRecordStateHTML(studyRecordlist[i].noteLesson.state) + '</div>';
			lihtml += '</div>';

			lihtml += '<div class="mui-card-content">';
			lihtml += '<div class="mui-card-content-inner"><div>'+studyRecordlist[i].noteLesson.lesson_name+'</div><p><div class="mui-row"><div  class=" mui-col-xs-6">上课老师:'+studyRecordlist[i].noteLesson.teacher_name+'</div>	<div class=" mui-col-xs-6">上课学员:'+studyRecordlist[i].noteLesson.student_name+'</div></div></p><p>上课时间:'+ app.ConvertJsonTime(studyRecordlist[i].noteLesson.create_time) +'</p></div>';
		
			
			lihtml += '<div class=" mui-clearfix" style=" padding:5px 15px;"><span class="mui-pull-right" style="font-size: 12px;">'+ studyRecordlist[i].noteLesson.subject_name+'，消耗课时:<em style=" font-style: normal; font-size: 1.4em;">'+studyRecordlist[i].noteLesson.lesson_num+'</em> ,'+ app.getNoteLessonStyleValue(studyRecordlist[i].noteLesson.style) +'</span></div>';
			lihtml += '</div>';

			lihtml += '<div class="mui-card-footer">';
			lihtml += '<div style="width: 100%;"><a class="mui-btn mui-btn-danger mui-btn-outlined  mui-pull-right">评价</a></div>';
			lihtml += '</div>';

			liElement.innerHTML = lihtml;
			table.appendChild(liElement);
		}
	}
	


	/*
	 * 上拉加载具体业务实现
	 */
	function pullupRefresh() {
		setTimeout(function() {
			++currentPageIndex;

			var clientId = '',
				clientSecret = '';

			if(authorization.token == "RONSCHOOL_51AREA_JORY") {
				clientId = authorization.data.id;
				clientSecret = authorization.data.phone;
			}
			var studyRecordRequest = {
				clientId: clientId,
				clientSecret: clientSecret,
				pagesize: pagesize,
				pageindex: currentPageIndex
			}
			$('#pullrefresh').pullRefresh().endPullupToRefresh(currentPageIndex > totalPageCount);
			if(!(currentPageIndex > totalPageCount)) {
				app.GetLearnRecordList(studyRecordRequest, function(data) {
					pushViewElement(data);
				});
			}
		}, 1500);
	}

})(mui, document);