(function($, doc) {
	$.init();
	$.plusReady(function() {
		var settings = app.getSettings();
		var userpassword = doc.getElementById("password");
		var createAccountBtn = doc.getElementById("createAccount");
		var self = plus.webview.currentWebview();

		var backButtonPress = 0;
		$.back = function(event) {
			backButtonPress++;
			if(backButtonPress > 1) {
				plus.runtime.quit();
			} else {
				plus.nativeUI.toast('再按一次退出应用');
			}
			setTimeout(function() {
				backButtonPress = 0;
			}, 1000);
			return false;
		};

		createAccountBtn.addEventListener('tap', function() {
			if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
				plus.nativeUI.toast('网络不给力，请检查网络设置');
				return;
			}
			var $phone = localStorage.getItem('$account_phone') || "{}";
			var accountModel = {
				phone: $phone,
				password: base64encode(userpassword.value)
			}
			var waiting = plus.nativeUI.showWaiting();
			app.AccountRegister(accountModel, function(data) {
				waiting.close();
				if(typeof data == 'string') {
					plus.nativeUI.toast(data);
					return;
				} else {
					if(data.success) {
						var registerWebview = plus.webview.getWebviewById("/login/reg.html");
						if(registerWebview) {
							registerWebview.close();
						}
						$.openWindow({
							url: '/index.html',
							id: '/index.html',
							show: {
								aniShow: 'pop-in'
							},
							waiting: {
								autoShow: false
							}
						});
						plus.nativeUI.toast('注册成功');
						var authorization = { "data": data.account, "token": "RONSCHOOL_51AREA_JORY" };
						localStorage.setItem('$authorization', JSON.stringify(authorization));

					} else if(data.err_code == "300") {
						var msg = "账号  " + $phone.replace(/\B(?=(?:\d{4})+$)/g, ' ') + " 已经存在，无需重复注册";
						$.alert(msg, '', '立即登录', function() {
							var loginPage = $.preload({
								"id": 'login.html',
								"url": 'login.html'
							});
							$.fire(loginPage, 'getParameter', {});
							loginPage.show("pop-in");
							self.close();
						});

					} else {
						plus.nativeUI.toast(data.msg);
					}
				}
			})
		})
	});
})(mui, document)