(function($, doc) {
	$.init()
	$.plusReady(function() {

		// 禁止竖屏
		plus.screen.lockOrientation("portrait-primary");
		var settings = app.getSettings();
		var backBtn = doc.getElementById("back");
		var self = plus.webview.currentWebview();

		function closeWebView() {
			var list = plus.webview.all();
			var mainPage;
			mainPage = plus.webview.getWebviewById('/main.html');
			if(mainPage) {
				console.log("yes");
			} else {
				mainPage = mui.preload({
					"id": '/main.html',
					"url": '/main.html'
				});
			}

			mui.each(list, function(index, item) {
				console.log(item.id)
				if(item.id.indexOf("login") >= 0) {
					item.close();
				}
			});
			mainPage.show("pop-in");

		}

		backBtn.addEventListener("tap", function() {
			closeWebView();
		})

		$.back = function(event) {
			closeWebView();
		};

		var loginButton = doc.getElementById('login');
		var accountBox = doc.getElementById('account');
		var passwordBox = doc.getElementById('password');
		var forgetButton = doc.getElementById('forgetPassword');
		var regBtn = doc.getElementById('reg');

		window.addEventListener('getParameter', function(options) {
			setAccountPhone();
		})
		setAccountPhone();

		function setAccountPhone() {
			var accountPhone = app.getAccountPhone();
			if(app.validatePhone(accountPhone)) {
				accountBox.value = accountPhone;
			}
		}

		loginButton.addEventListener('tap', function() {
			if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
				plus.nativeUI.toast('网络不给力，请检查网络设置');
				return;
			}
			var loginInfo = {
				account: accountBox.value,
				password: passwordBox.value
			};
			var waiting = plus.nativeUI.showWaiting();
			app.login(loginInfo, function(data) {
				waiting.close();
				if(typeof data == 'string') {
					plus.nativeUI.toast(data);
					return;
				} else {
					if(data.success) {
						console.log(JSON.stringify(data));
						var authorization = { "data": data.account, "token": "RONSCHOOL_51AREA_JORY" };
						localStorage.setItem('$authorization', JSON.stringify(authorization));
						plus.nativeUI.toast(data.msg);
						var indexPage = $.preload({
							"id": '/index.html',
							"url": '/index.html'
						});

						$.fire(indexPage, 'getParameter', {});
						indexPage.show("pop-in");
					} else {
						plus.nativeUI.toast(data.msg);
					}
				}
			});
		});
		$.enterfocus('#login-form input', function() {
			$.trigger(loginButton, 'tap');
		});
		//忘记密码
		forgetButton.addEventListener('tap',
			function() {
				var forget_passwordPage = $.preload({
					"id": 'forget_password.html',
					"url": 'forget_password.html'
				});
				forget_passwordPage.addEventListener('loaded', function() {
					$.fire(forget_passwordPage, 'getParameter', {
						phone: accountBox.value
					});
				});
				forget_passwordPage.show("pop-in");

			}, false);
		//注册
		regBtn.addEventListener('tap',
			function() {
				var regPage = $.preload({
					"id": 'reg.html',
					"url": 'reg.html'
				});
				regPage.addEventListener('loaded', function() {
					$.fire(regPage, 'getParameter', {
						phone: accountBox.value
					});
				});
				regPage.show("pop-in");

			}, false);
	});

})(mui, document);