(function($, doc) {
	$.init();
	$.plusReady(function() {
		var settings = app.getSettings();
		var userpassword = doc.getElementById("password");
		var createAccountBtn = doc.getElementById("createAccount");
		var self = plus.webview.currentWebview();

		var backButtonPress = 0;
		$.back = function(event) {
			backButtonPress++;
			if(backButtonPress > 1) {
				plus.runtime.quit();
			} else {
				plus.nativeUI.toast('再按一次退出应用');
			}
			setTimeout(function() {
				backButtonPress = 0;
			}, 1000);
			return false;
		};

		createAccountBtn.addEventListener('tap', function() {
			if(plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
				plus.nativeUI.toast('网络不给力，请检查网络设置');
				return;
			}
			var $phone = app.getAccountPhone();
			var accountModel = {
				phone: $phone,
				password: base64encode(userpassword.value)
			}
			var waiting = plus.nativeUI.showWaiting();
			app.ResetPwd(accountModel, function(data) {
				waiting.close();
				if(typeof data == 'string') {
					plus.nativeUI.toast(data);
					return;
				} else {
					if(data.success) {

						plus.nativeUI.toast('重置密码成功');
						var authorization = { "data": data.account, "token": "RONSCHOOL_51AREA_JORY" };
						localStorage.setItem('$authorization', JSON.stringify(authorization));
						$.openWindow({
							url: '/index.html',
							id: '/index.html',
							show: {
								aniShow: 'pop-in'
							},
							waiting: {
								autoShow: false
							}
						});
						self.close();
					} else if(data.err_code == "404") {
						var msg = "账号  " + $phone.replace(/\B(?=(?:\d{4})+$)/g, ' ') + " 不存在，可注册";
						$.alert(msg, '', '马上注册', function() {
							var regPageCreate = $.preload({
								"id": '/login/reg.html',
								"url": '/login/reg.html'
							});
							$.fire(regPageCreate, 'getParameter', {});
							regPageCreate.show("pop-in");

							self.close();
						});

					} else {
						plus.nativeUI.toast(data.msg);
					}
				}
			})
		})
	});
})(mui, document)